# $Id: libmp3-archive-perl.spec,v 1.6 2003/12/14 21:02:30 ianb Exp $

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo "$installvendorlib")

Summary:        Perl module to manage music metadata in filenames

Group:          Development/Libraries
%define version 0.9
%define real_version 0.9
%define release 1

%define name    libmp3-archive-perl

Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
BuildArchitectures: noarch
Source: http://nessie.mcc.ac.uk/~ianb/projects/libmp3-archive-perl/libmp3-archive-perl-0.9.tar.gz
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}


%Description
MP3::Archive is a perl module to encapsulate the parsing and creation
of filenames containing music metadata (artist, album, etc).


%prep 
%setup

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor DESTDIR=$RPM_BUILD_ROOT/%{_prefix}
make DESTDIR=$RPM_BUILD_ROOT/%{_prefix}
# make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR="$RPM_BUILD_ROOT"  INSTALLVENDORMAN1DIR=%{_mandir}/man1 INSTALLVENDORMAN3DIR=%{_mandir}/man3 INSTALLVENDORMAN5DIR=%{_mandir}/man5

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

%files 
%defattr(-,root,root)
%doc debian/changelog debian/copyright README
%config(noreplace) %attr(644,root,root) /etc/mp3archiverc
%{_mandir}/man3/
%{perl_vendorlib}/MP3

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post

%preun

%changelog
* Wed Nov 5 2003 Ian Beckwith <ianb@nessie.mcc.ac.uk>
- Attempts to fix rpm problems

* Mon Oct 27 2003 Ian Beckwith <ianb@nessie.mcc.ac.uk>
- Initial release
